name:                 unix
version:              2.8.5.1
visibility:           public
id:                   unix-2.8.5.1-inplace
key:                  unix-2.8.5.1-inplace
license:              BSD-3-Clause
maintainer:
    Julian Ospald <hasufell@posteo.de>, Viktor Dukhovni <ietf-dane@dukhovni.org>, Andrew Lelechenko <andrew.lelechenko@gmail.com>

homepage:             https://github.com/haskell/unix
synopsis:             POSIX functionality
description:
    This package gives you access to the set of operating system
    services standardised by
    <http://pubs.opengroup.org/onlinepubs/9699919799/ POSIX.1-2008>
    (or the IEEE Portable Operating System Interface for Computing
    Environments - IEEE Std. 1003.1).

    The package is not supported under Windows.

category:             System
abi:                  0bee960374c92d4fca0e59874005b64e
exposed:              True
exposed-modules:
    System.Posix System.Posix.ByteString
    System.Posix.ByteString.FilePath System.Posix.Directory
    System.Posix.Directory.ByteString System.Posix.Directory.Fd
    System.Posix.Directory.Internals System.Posix.Directory.PosixPath
    System.Posix.DynamicLinker System.Posix.DynamicLinker.ByteString
    System.Posix.DynamicLinker.Module
    System.Posix.DynamicLinker.Module.ByteString
    System.Posix.DynamicLinker.Prim System.Posix.Env
    System.Posix.Env.ByteString System.Posix.Env.PosixString
    System.Posix.Error System.Posix.Fcntl System.Posix.Files
    System.Posix.Files.ByteString System.Posix.Files.PosixString
    System.Posix.IO System.Posix.IO.ByteString
    System.Posix.IO.PosixString System.Posix.PosixPath.FilePath
    System.Posix.PosixString System.Posix.Process
    System.Posix.Process.ByteString System.Posix.Process.Internals
    System.Posix.Process.PosixString System.Posix.Resource
    System.Posix.Semaphore System.Posix.SharedMem System.Posix.Signals
    System.Posix.Signals.Exts System.Posix.Temp
    System.Posix.Temp.ByteString System.Posix.Temp.PosixString
    System.Posix.Terminal System.Posix.Terminal.ByteString
    System.Posix.Terminal.PosixString System.Posix.Time
    System.Posix.Unistd System.Posix.User System.Posix.User.ByteString

hidden-modules:
    System.Posix.Directory.Common System.Posix.DynamicLinker.Common
    System.Posix.Files.Common System.Posix.IO.Common
    System.Posix.Process.Common System.Posix.Terminal.Common
    System.Posix.User.Common System.Posix.Env.Internal

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/unix-2.8.5.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/unix-2.8.5.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/unix-2.8.5.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/unix-2.8.5.1
hs-libraries:         HSunix-2.8.5.1-inplace
extra-libraries:      rt util
include-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/unix-2.8.5.1-inplace/include

includes:             HsUnix.h execvpe.h
depends:
    base-4.20.0.0-inplace bytestring-0.12.1.0-inplace
    filepath-1.5.2.0-inplace os-string-2.0.2-inplace
    time-1.12.2-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/unix-2.8.5.1-inplace/unix.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/unix-2.8.5.1-inplace"
